> ## Name

> cgD3D11GetLatestVertexProfile - get the latest supported vertex shader version

> ## Synopsis

>     #include <Cg/cgD3D11.h>

>     CGprofile cgD3D11GetLatestVertexProfile( void );

> ## Parameters

> None.

> ## Return Values

> Returns the latest vertex shader version supported by the current D3D device.

> Returns CG_PROFILE_UNKNOWN if no D3D device is currently set.

> ## Description

> cgD3D11GetLatestVertexProfile retrieves the latest vertex shader version that the current D3D device supports. This is an expanded interface function because it needs to know about the D3D device to determine the most current version supported.

> Starting in Cg 3.0, if the environment variable `CGD3D11_LATEST_VERTEX_PROFILE` is set in the application's environment to a string that cgGetProfile translates to a valid profile (meaning not `CG_PROFILE_UNKNOWN`), then it is this CGprofile value that will be returned by cgD3D11GetLatestVertexProfile.

> ## Examples

>       CGprofile bestVertexProfile = cgD3D11GetLatestVertexProfile();

> ## Errors

> None.

> ## History

> cgD3D11GetLatestVertexProfile was introduced in Cg 3.0.

> ## See Also

> cgD3D11GetLatestDomainProfile, cgD3D11GetLatestGeometryProfile, cgD3D11GetLatestHullProfile, cgD3D11GetLatestPixelProfile